Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssDrillThrough

All Superinterfaces:
  IEssBaseObject, IEssLinkedObject

public interface IEssDrillThrough
extends IEssLinkedObject

The IEssDrillThrough is Hyperion Integration Server drill-through. Drill-through enables you to drill from the summarized and calculated data stored in the Essbase OLAP server of your organization into detailed data stored in a relational database.

Nested Class Summary

Nested classes inherited from class com.essbase.api.dataquery.IEssLinkedObject
`IEssLinkedObject.EEssLinkedObjectType`

Method Summary
`java.lang.String` | `getDataSourceName()` Gets the data source name.
`int` | `getInputOption()` Gets the input option.
`java.lang.String` | `getIntegrationServerName()` Gets the integration server name.
`IEssIterator` | `getReports()` Gets the drill-through reports.
`java.lang.String` | `getUserName()` Gets the user name.

Methods inherited from interface com.essbase.api.dataquery.IEssLinkedObject
`getCreatedBy, getDescription, getId, getLastUpdateTime, getMemberCombination, getObject, getObject, getObjectName, getType, setDescription, setObjectName, updatePropertyValues`

Method Detail

### getIntegrationServerName

    public java.lang.String getIntegrationServerName()
                                              throws EssException

  Gets the integration server name.

  Returns:
    The integration server name.
  Throws:
    `EssException` - if an error occurs.

### getDataSourceName

    public java.lang.String getDataSourceName()
                                       throws EssException

  Gets the data source name.

  Returns:
    The data source name.
  Throws:
    `EssException` - if an error occurs.

### getUserName

    public java.lang.String getUserName()
                                 throws EssException

  Gets the user name.

  Returns:
    The user name.
  Throws:
    `EssException` - if an error occurs.

### getInputOption

    public int getInputOption()
                       throws EssException

  Gets the input option.

  Returns:
    The input option.
  Throws:
    `EssException` - if an error occurs.

### getReports

    public IEssIterator getReports()
                            throws EssException

  Gets the drill-through reports.

  Returns:
    The reports (each of type IEssDrillThroughReport).
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD